package com.oauth.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.oauth.system.entity.SysPermission;
import com.oauth.system.vo.MenuPage;

import java.util.List;

public interface ISysPermissionService extends IService<SysPermission> {
    public List<MenuPage> getUserMenu(Integer userId);

    public List<SysPermission> findMenuByUserId(Integer userId);

    public List<SysPermission> findPermissionByUserId(Integer userId);

    public void addPermission(SysPermission sysPermission);

    public void editPermission(SysPermission sysPermission);

    public void deletePermission(String id);

    List<String> getPermissionList(Integer userId);
}
